Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class CategoryDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.CategoryDefinition

Direct Known Subclasses:
  MountPointDefinition

public class CategoryDefinition
extends PublicObjectDefinition

This feature is not supported in PRODUCTION 1.0.

The CategoryDefinition class is used construct a Category object. This subclass of PublicObjectDefintion only sets the default ClassObject to "CATEGORY"; all other behavior is inherited.

Constructor Summary
`CategoryDefinition(LibrarySession session)` Constructs a CategoryDefinition explicitly capturing the session.

Method Summary
`void` | `addCategoryDefinition(CategoryDefinition def)` adds a Category definition for the new PublicObject.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### CategoryDefinition

    public CategoryDefinition(LibrarySession session)
                       throws IfsException

  Constructs a CategoryDefinition explicitly capturing the session.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### addCategoryDefinition

    public void addCategoryDefinition(CategoryDefinition def)
                               throws IfsException

  adds a Category definition for the new PublicObject. This is overriden to force throwing an Exception, as Category objects do not themselves have categories.
  Overrides:
    `addCategoryDefinition` in class `PublicObjectDefinition`
  Parameters:
    `def` - the Category definition for the new object.
  Throws:
    `IfsException` - always.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD